| Home | Libraries | People | FAQ | More

##### back

###### Description

Returns the result type of `back`.

###### Synopsis

    template<typename Seq>
    struct back
    {
        typedef unspecified type;
    };

Table 1.27. Parameters

Parameter | Requirement | Description
--- | --- | ---
`Seq` | A model of Forward Sequence | Argument sequence

###### Expression Semantics

    result_of::back<Seq>::type

Return type: Any type

Semantics: The type returned by dereferencing an iterator to the last element in the sequence. Equivalent to ``result_of::deref`<`result_of::prior`<`result_of::end`<Seq>::type>::type>::type`.

###### Header

    #include <boost/fusion/sequence/intrinsic/back.hpp>
    #include <boost/fusion/include/back.hpp>

###### Example

    typedef vector<int,char> vec;
    BOOST_MPL_ASSERT((boost::is_same<result_of::back<vec>::type, char&>));